- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Models::Base::Io::SaveLoad::Serializer Class Reference

`#include <Serializer.h>`

Collaboration diagram for Mers::Models::Base::Io::SaveLoad::Serializer:

[legend]
List of all members.

## Public Member Functions
| Serializer (ns_BaseModel::BaseModel *model=NULL)
void | setModel (ns_BaseModel::BaseModel *model)
ns_BaseModel::BaseModel * | getModel () const
void | saveLoad (ns_SaveLoad::ISaveLoad *sl, const char *objName, const ns_BaseModel::BaseModelValue *&val)
void | saveLoad (ns_SaveLoad::ISaveLoad *sl, const char *objName, ns_BaseModel::BaseModelValue *&var)
void | saveLoad (ns_SaveLoad::ISaveLoad *sl, const char *, ns_BaseModel::BaseModelValueArray *&values)
void | saveLoad (ns_SaveLoad::ISaveLoad *sl, const char *, ns_BaseModel::BaseModelDomain *&domain)
void | saveLoad (ns_SaveLoad::ISaveLoad *sl, const char *, ns_BaseModel::BaseModelDomainArray *&domains)
void | saveLoad (ns_SaveLoad::ISaveLoad *sl, const char *, ns_BaseModel::BaseModelVariable *&var)
void | saveLoad (ns_SaveLoad::ISaveLoad *sl, const char *, ns_BaseModel::BaseModelVariableArray *&var)
void | saveLoad (ns_SaveLoad::ISaveLoad *sl, const char *, ns_BaseModel::BaseModelAssignment *&assign)
void | saveLoad (ns_SaveLoad::ISaveLoad *sl, const char *, ns_BaseModel::BaseModel *&model)
## Static Public Member Functions
static const char * | getTypeName (const ns_BaseModel::BaseModelValue *)
static const char * | getTypeName (const ns_BaseModel::BaseModelValueArray *)
static const char * | getTypeName (const ns_BaseModel::BaseModelDomain *)
static const char * | getTypeName (const ns_BaseModel::BaseModelDomainArray *)
static const char * | getTypeName (const ns_BaseModel::BaseModelVariable *)
static const char * | getTypeName (const ns_BaseModel::BaseModelVariableArray *)
static const char * | getTypeName (const ns_BaseModel::BaseModelAssignment *)
static const char * | getTypeName (const ns_BaseModel::BaseModel *)
## Protected Attributes
ns_BaseModel::BaseModel * | m_model
| This model is needed for context when loading BaseModels.

## Detailed Description

This class is responsible for serializing BaseModel objects. The objects will all be created given the data present.

Definition at line 66 of file Serializer.h.

## Constructor & Destructor Documentation

Mers::Models::Base::Io::SaveLoad::Serializer::Serializer | ( | ns_BaseModel::BaseModel * | model = `NULL` | ) | `[inline]`

Constructs this

Definition at line 71 of file Serializer.h.

## Member Function Documentation

void Mers::Models::Base::Io::SaveLoad::Serializer::setModel | ( | ns_BaseModel::BaseModel * | model | ) | `[inline]`

Set the model for this serializer.

Definition at line 78 of file Serializer.h.

References m_model.

ns_BaseModel::BaseModel* Mers::Models::Base::Io::SaveLoad::Serializer::getModel | ( |  | ) | const`[inline]`

Gets the model currently in this serializer.

Definition at line 85 of file Serializer.h.

References m_model.

static const char* Mers::Models::Base::Io::SaveLoad::Serializer::getTypeName | ( | const ns_BaseModel::BaseModelValue * |  | ) | `[inline, static]`

Returns this object's name.

Definition at line 96 of file Serializer.h.

void Mers::Models::Base::Io::SaveLoad::Serializer::saveLoad | ( | ns_SaveLoad::ISaveLoad * | sl,
|  | const char * | objName,
|  | const ns_BaseModel::BaseModelValue *& | val |
| ) |  |  |

Save-loads a single BaseModelValue.

void Mers::Models::Base::Io::SaveLoad::Serializer::saveLoad | ( | ns_SaveLoad::ISaveLoad * | sl,
|  | const char * | objName,
|  | ns_BaseModel::BaseModelValue *& | var |
| ) |  |  |

Save-loads a single BaseModelValue.

static const char* Mers::Models::Base::Io::SaveLoad::Serializer::getTypeName | ( | const ns_BaseModel::BaseModelValueArray * |  | ) | `[inline, static]`

Returns this object's name.

Definition at line 121 of file Serializer.h.

void Mers::Models::Base::Io::SaveLoad::Serializer::saveLoad | ( | ns_SaveLoad::ISaveLoad * | sl,
|  | const char * | ,
|  | ns_BaseModel::BaseModelValueArray *& | values |
| ) |  |  |

Save-loads a single BaseModelValueArray.

static const char* Mers::Models::Base::Io::SaveLoad::Serializer::getTypeName | ( | const ns_BaseModel::BaseModelDomain * |  | ) | `[inline, static]`

Returns this object's name.

Definition at line 138 of file Serializer.h.

void Mers::Models::Base::Io::SaveLoad::Serializer::saveLoad | ( | ns_SaveLoad::ISaveLoad * | sl,
|  | const char * | ,
|  | ns_BaseModel::BaseModelDomain *& | domain |
| ) |  |  |

Save-loads a single BaseModelDomain.

static const char* Mers::Models::Base::Io::SaveLoad::Serializer::getTypeName | ( | const ns_BaseModel::BaseModelDomainArray * |  | ) | `[inline, static]`

Returns this object's name.

Definition at line 155 of file Serializer.h.

void Mers::Models::Base::Io::SaveLoad::Serializer::saveLoad | ( | ns_SaveLoad::ISaveLoad * | sl,
|  | const char * | ,
|  | ns_BaseModel::BaseModelDomainArray *& | domains |
| ) |  |  |

Save-loads a single BaseModelDomain.

static const char* Mers::Models::Base::Io::SaveLoad::Serializer::getTypeName | ( | const ns_BaseModel::BaseModelVariable * |  | ) | `[inline, static]`

Returns this object's name.

Definition at line 172 of file Serializer.h.

void Mers::Models::Base::Io::SaveLoad::Serializer::saveLoad | ( | ns_SaveLoad::ISaveLoad * | sl,
|  | const char * | ,
|  | ns_BaseModel::BaseModelVariable *& | var |
| ) |  |  |

Save-loads a single BaseModelVariable.

static const char* Mers::Models::Base::Io::SaveLoad::Serializer::getTypeName | ( | const ns_BaseModel::BaseModelVariableArray * |  | ) | `[inline, static]`

Returns this object's name.

Definition at line 189 of file Serializer.h.

void Mers::Models::Base::Io::SaveLoad::Serializer::saveLoad | ( | ns_SaveLoad::ISaveLoad * | sl,
|  | const char * | ,
|  | ns_BaseModel::BaseModelVariableArray *& | var |
| ) |  |  |

Save-loads a single BaseModelVariable.

static const char* Mers::Models::Base::Io::SaveLoad::Serializer::getTypeName | ( | const ns_BaseModel::BaseModelAssignment * |  | ) | `[inline, static]`

Returns this object's name.

Definition at line 206 of file Serializer.h.

void Mers::Models::Base::Io::SaveLoad::Serializer::saveLoad | ( | ns_SaveLoad::ISaveLoad * | sl,
|  | const char * | ,
|  | ns_BaseModel::BaseModelAssignment *& | assign |
| ) |  |  |

Save-loads a single BaseModelAssignment.

static const char* Mers::Models::Base::Io::SaveLoad::Serializer::getTypeName | ( | const ns_BaseModel::BaseModel * |  | ) | `[inline, static]`

Returns this object's name.

Definition at line 223 of file Serializer.h.

void Mers::Models::Base::Io::SaveLoad::Serializer::saveLoad | ( | ns_SaveLoad::ISaveLoad * | sl,
|  | const char * | ,
|  | ns_BaseModel::BaseModel *& | model |
| ) |  |  |

Save-loads a single BaseModel.

The documentation for this class was generated from the following file:

- /Users/fpy/titan-1-5-MBARI/Mers/Models/Base/Io/SaveLoad/Serializer.h